Introduction

1. INTRODUCTION

GDV Capture program is used for working with the GDV Camera Pro (all models), GDV Compact, "GDV +" device, and GDV Acu-Scanner. GDV Capture allows quick and easy re-cording of GDV-images of 10 fingers, series of GDV-images of liquids and materials, series of fingers' GDV-images, automatic series, as well as recording short gas discharge video films (dynamic GDV). With your GDV Camera Pro (with the built-in digital USB video camera) you can record high-quality GDV video films.

Contents:

1. INTRODUCTION

System requirements

2. SETTINGS IN GDV CAPTURE

2.1 Setting GDV parameters

2.2 Selecting video driver

2.3 Video driver settings

3. GDV CAPTURE OVERVIEW

Menu and toolbar

4. RECORDING STATIC GDV

4.1 Taking GDV-images of 10 fingers

4.2 Taking series of GDV-images

4.3 Taking series of fingers' GDV-images

4.4 Recording automatic series of GDV-images

4.5 Loading static GDV-images

4.6 Saving static GDV-images

4.7 Naming static GDV-images

4.8 Parameters of static GDV capture

5. RECORDING DYNAMIC GDV

5.1 Procedure of recording dynamic GDV files

5.2 Opening dynamic GDV files

5.3 Parameters of dynamic GDV capture

6. TROUBLESHOOTING


System requirements

Minimum system requirements for working with GDV Capture depend on the applied capture modes.

Minimum requirements for static GDV-capture mode:

• IBM computer with Win 95/98/2000/Me/XP

• Processor: Pentium or compatible processor

• RAM: 16MB and more

• Free hard disk space: 30 MB and more

If long series of GDV-images (dozens) are to be taken, it is necessary to increase computer memory up to 32 MB and more. The size of free disk memory is determined by the quantity of GDV-images saved. For example, 10 GDV-images of fingers taken with standard parameters (320x240 pixel size) occupy ~770Kb.

Minimum requirements for dynamic GDV-capture mode:

• Processor: Pentium 166MMX and higher class processor

• RAM: 32 MB and more

• Free hard disk space: 200 MB and more

Recommended configuration for dynamic GDV-capture mode:

• Processor: Pentium II 600 and higher class processor

• RAM: 64 MB and more

• Free hard disk space:1 GB and more


Setting GDV parameters

2. SETTINGS in "GDV CAPTURE" program

2.1 Setting GDV parameters

Step 1. Turn on your computer.

Step 2. Launch GDV Capture program from folder "GDV Technique”.

Step 3. Select "GDV device parameters" in the upper menu "Settings".

Step 4.

For GDV Camera Pro:

If you use Com-port cable as a starting device, select "GDV Camera with autostart equipment" in field “GDV device type”, pressing arrow button to the right of the line and selecting from the list (fig.1.1).

If you use PS/2 or USB mouse, select "GDV Camera without autostart equipment".

For GDV Compact:

If you use Com-port cable as a starting device, select "GDV Compact" in field “GDV device type”, pressing arrow button to the right of the line and selecting from the list (fig.1.1).

If you use PS/2 or USB mouse, select "GDV Camera without autostart equipment".

Step 5. Only if you use GDV Com-port cable starting device

For GDV Camera Pro:

Check how many com-ports you have in your computer. If more than one, set the necessary port in field "Used port". In order to do this, see to which port the Com-port cable is connected and select this port from the list in field "Used port".

If you use PS/2 mouse or USB mouse, disregard field “Used port”.

For GDV Compact:

Tick “Turn on automatic ports scanning” and the corresponding com-port will be found auto-matically.

If you use PS/2 or USB mouse, disregard field “Used port”.

Fig. 2.1. Setting GDV parameters


Selecting video driver

2.2 Selecting video driver.

Step 1. Choose "Select video driver" in the upper menu "Settings" or press button .

Step 2. You will see a list of all video drivers installed on your computer.

Step 3. Mark line “Microsoft WDM Image Capture” by the mouse (fig.1.2) and press “OK”.

Fig. 2.2. Selecting videodriver


Video driver settings

2.3 Video driver Settings

Step 1. Select "Video driver settings" in the upper menu "Settings" or press button .

Step 2. Make sure that the settings in tab “Image controls” are as given below (fig.1.3):

Frame rate | 10-30
Control: full auto | Off
Brightness | Central position
Gamma | Last left position
Contrast | Central position
Saturation | Last left position
Modes: black and white | On
Modes: mirror image | Off
Modes: backlight compensation | Off

Fig. 2.3. Settings of USB Philips camera: Image Controls

Step 3. Make sure that settings in tab “Camera controls” are as follows (fig.1.4):

White balance Auto | On
Exposure Auto | Off
Shutter speed | Last left position
Gain | 80-90% scale to the right

Fig. 2.4. Settings of USB Philips camera: Camera Controls

N.B.! These parameters provide good quality of

recorded GDV-images.

N.B.! In order to set “Gain” parameter at 80-90% use slider of “Shutter speed” parameter:

1) Set “Shutter speed” at 1/2500 (80% Gain) or 1/5000 (90% Gain).

2) Move slider of “Gain” to the same position, as shown in fig.1.5.

3) Place the slider of “Shutter speed” back to the last left position.

Fig. 2.5. Setting parameter “Gain”

Step 4. Press "Apply". Press "Close" ("Return").

Step 5. Close GDV Capture program.

N.B.! Video driver settings are saved until “GDV Capture” is closed (including

rebooting and turning off the computer). Therefore, in order to obtain correct data check video driver settings every time you launch “GDV Capture”.

Congratulations!

Now your "GDV Capture" program is set for working with Philips USB digital camera!


GDV Capture overview

3. GDV CAPTURE OVERVIEW

GDV Capture is designed for recording GDV-images (GDV-grams) and video files (AVI or dynamic GDV files) and saving them in your computer.

The program has two modes of operation: 1) Static and 2) Dynamic GDV-capture modes.

Fig. 3.1. Static GDV-capture mode

You can switch between the modes using toolbar button: (static GDV-capture mode) and (dynamic GDV-capture mode).

In the static GDV-capture mode (fig.3.1) the program window includes:

1. preview window in the upper left part

2. window for setting parameters of static GDV-capture in the upper right part

3. recorded GDV-images in the lower central part

Fig. 3.2. Dynamic GDV-capture mode

In the dynamic GDV-capture mode (fig.3.2) program window includes:

1. video window in the upper part

2. window for setting parameters of dynamic recording in the lower part

Toolbar button [image] controls live video (preview) mode. When the mode is active the image from the GDV Camera / Compact is constantly shown in the live video area. When the mode is off, live video works automatically only for the time of recording of GDV-images (the moment of exposure activation).

If your computer is not powerful enough and the pro-gram works too slow, try to switch off live video.

You can use four types of static GDV capture (recording):

1. GDV-images of 10 fingers: recording 10 GDV-images of fingers only. Taken GDV-images are named automatically: 1L – 5L, 1R – 5R. Taken GDV-images can be processed in the GDV Processor, GDV Aura, GDV Diagram, GDV Chakra, and GDV Stress programs.

2. Series of GDV-images: recording random series of GDV-images of any biological subjects. These images are automatically called: 1, 2, 3 …, according to their ordinal numbers. Such GDV-images might be processed in the "GDV Processor", "GDV Compare", "GDV Dynamic Analyzer" programs.

3. Series of fingers' GDV-images: taking random series of GDV-images of 1 finger. These images are automatically called: 1, 2, 3 …, according to their order numbers and can be processed in the "GDV Processor", "GDV Compare", "GDV Dynamic Analyzer" programs.

4. Automatic series: recording random series of GDV-images of any biological subjects in certain time periods. These images are automatically called: 1, 2, 3 …, according to their order numbers and can be processed in the "GDV Processor", "GDV Compare", "GDV Dynamic Analyzer" programs.

N.B.! Automatic series capture type can be used only if you work with GDV com-port cable as starting device and have corresponding settings in “GDV-device parameters” window (see chapter 4). If you work with GDV PS/2 or GDV USB mouse and have “GDV Camera without autostart equipment” set in “GDV-device parameters” window, Automatic series capture type is not displayed in the list of capture types.

Type of capture (recording) is selected in "Capture type" field in the window for setting capture parameters (fig.3.1, part 2) or in menu "Static GDV-capture".

GDV Capture gives you an opportunity to add certain "suffix" ("prefix" - only for capture type "series of fingers' GDV-images"), date and time of recording to the GDV-image’s name auto-matically. This procedure is described in section 4.7 Naming static GDV-images.

Parameters of GDV-images include name pattern, color palette, GDV-image size, capture de-lay, preview frame rate, parameters of "Automatic series" capture type for static GDV-capture mode and name of dynamic GDV file, video sequence length, frame size, frame rate, autostart delay for dynamic GDV-capture mode.

Section 4.8 Parameters of static GDV-capture describes how to set parameters for static GDV-capture mode, section 5.3 Parameters of dynamic GDV-capture - dynamic GDV-capture mode.


Menu and Toolbar

Menu and toolbar description

Button | Menu | Menu item | Operation
 | Static GDV-capture | New | Start of new record
 |  | Load | Loading/opening of GDV-images taken and saved on the hard drive (see Loading static GDV-images).
 |  | Save... | Saving recorded GDV-images. (see Saving static GDV-images)
 |  | Start automatic capture | Start of recording an automatic series of GDV-images
 |  | Stop automatic capture | Stop of recording an automatic series of GDV-images
 |  | Naming | Naming GDV-images: adding suffix, prefix (automatic series capture type), date and time (see Naming static GDV-images)
 |  | Control | Setting GDV-image size, capture delay, pre-view frame-rate, parameters for "Automatic series" capture type (see Parameters of static GDV-capture)
 |  | Compute averaged GDV-image | Computing an averaged GDV-image for all GDV-images taken/loaded
 |  | GDV-images of 10 fin-gers | Working in capture type "GDV-images of 10 fingers" (see Taking GDV-images of 10 fingers)
 |  | Series of GDV-images | Working in capture type "Series of GDV-images" (see Taking series of GDV-images)
 |  | Series of fingers' GDV-images | Working in capture type "Series of fingers' GDV-images" (see Taking series of fingers' GDV-images)
 |  | Automatic series | Working in capture type "Automatic series" (see Recording automatic series of GDV-images)
 |  | Exit | Program exit
 | Dynamic GDV-capture | Select video file | Selecting/loading/opening a video file (see Opening dynamic GDV files)
 |  | Start video record | Start of recording dynamic/video GDV (see Procedure of recording dynamic GDV files)
 |  | Stop video record | Stop of recording dynamic/video GDV (see Procedure of recording dynamic GDV files)
 |  | Show video file | Viewing the recorded video file (see Procedure of recording dynamic GDV files)
 |  | Batch extraction of AVI-files | Unpacking AVI files to the hard drive for further processing in "GDV Processor".
 |  | Control | Setting video sequence length, frame size, frame rate, preview frame rate, autostart delay (see Parameters of dynamic GDV-capture)
 |  | Exit | Program exit
 | View | Static GDV-capture mode | Selecting/unselecting static GDV-capture mode (see GDV Capture overview)
 |  | Dynamic GDV-capture mode | Selecting/unselecting dynamic GDV-capture mode (see GDV Capture overview)
 |  | Live video | Start/Stop of live video (see GDV Capture overview)
 |  | "Sight" | Turning on/off "sight" function, which can be used for centering a subject on the optical window of the instrument
 |  | Fit GDV-images to window | Showing all taken GDV-images (up to 100) in the window
 |  | Zoom in GDV-images | Zooming in GDV-images
 |  | Zoom-out GDV-images | Zooming out GDV-images
 |  | Original image | Turning on original image palette
 |  | Inverted image | Turning on inverted image palette
 |  | Intensive palette | Turning on intensive palette
 |  | Equal palette | Turning on equal palette
 | Settings | GDV device parame-ters... | Setting GDV-device type and used port
 |  | Select video driver... | Selecting the driver of Philips USB video camera (see Selecting video driver) or an-other video driver (if you work with several video capture devices)
 |  | Video driver settings | Selecting video driver settings (see Video driver settings)
 |  | Reinitialize program | Repeated initialization of video driver and GDV device type. Use this option when there are some problems in recording GDV-images; when you disconnect USB cable from camera or computer; when you discon-nect complementary devices (GDV+, GDV Scu-Scanner) which use their own video camera. Press this button after connecting the cables to the camera and settings in GDV Capture are restored. GDV-images already recorded are not lost.
 |  | Emergency device stop | Stop of recording. Only for GDV Compact
 |  | Contents | View help
 |  | About... | View brief information on the GDV Capture version


Taking GDV-images of 10 fingertips

4. RECORDING STATIC GDV

4.1 Taking GDV-images of 10 fingers

Step 1: Preparing your GDV Camera /Compact

For GDV Camera Pro:

1. Make sure that your GDV Camera Pro is set up and all cables are connected as described in the Step by Step Guide for GDV Camera Pro.

2. Check that your camera is set on its side in the GDV camera holder and is fixed, as during the calibration process.

3. Turn on the Camera using the black toggle switch "Power on/off control".

4. Make sure that the range and exposure indicator of the Camera show Range 1 and Exposure 0.5. If these settings are different, press control buttons range and exposure until you see ne [image] cessary numbers in the indicator screen.

5. Clean the GDV lens with alcohol using soft cloth and wait until it dries up.

6. Fix the finger device to the GDV lens cover (fig.4.1).

7. Adjust GDV lens cover to the GDV lens properly fixing it with the lock and match the stripes as shown in fig.4.3. The finger device should be placed exactly in the direction of 12 o’clock, parallel to the right side of the “range-exposure” triangle indicator.

8. Open the finger device so that you can see the GDV lens, as in fig.4.2, 4.3.

Fig. 4.2, 4.3. Correct position of the lens cover with finger device on the GDV lens

For GDV Compact:

1. Make sure that your GDV Compact is set up and all cables are connected as described in the Step-by-Step Guide for GDV Compact.

2. Turn on the Compact using the black toggle switch "Power on/off control".

3. Clean the GDV lens with alcohol using soft cloth and wait until it dries up.

4. Fix the finger device to the GDV lens cover (fig.4.4).

5. Adjust GDV lens cover to the GDV lens properly and match the stripes as shown in fig.4.5. The finger device should be placed exactly in the direction of 12 o’clock, parallel to the right and left sides of GDV Compact.

6. Open the finger device so that you can see the GDV lens, as in fig.4.5.

Step 2: Preparing "GDV Capture"

1. Launch "GDV Capture".

2. Check settings in “GDV Capture” as described in Settings in GDV Capture program.

3. Make sure that the static GDV-capture mode is active. toolbar button shall be pressed ( [image] button shall be off) (fig.3.1).

4. Check the operation of the video camera: Press “Live Video” button [image] and move your hand in front of the GDV lens close to it. You will see live image. If not, check all settings and connections again.

5. Make sure that the “GDV-images of 10 fingers” capture type is selected. If it is not, choose this type from the given list in the field “Capture type” (see GDV Capture overview).

6. Set GDV-image parameters: name, size, color palette, etc. as it is necessary for you (see Parameters of static GDV-capture and Naming static GDV-images).

7. Press “Sight” button [image].

Step 3: Preparing your client

1. Fix reference electrode to the right hand of your client (fig.4.6) and connect its plug to the "Grounding" jack of the GDV Camera Pro / Compact (fig.4.7).

2. Ask your client to place the thumb of his/her right hand (R1) onto the GDV lens through the hole in the lens cover, as shown in fig. 4.9 for GDV Camera Pro and fig. 4.11 for GDV Compact. The finger should point at 12 o’clock with its nail.

How to prepare your client for testing with the GDV Camera / Compact ?

• Explain to your client that the camera is safe, they will not feel any discomfort, and you will not be making any diagnoses or interpretations from the practice data.

• Ask the individual to take off all jewelry from hands except for rings they wear every day.

• Demonstrate most comfortable position for your client, show how to position the fingers on the lens (study Chapter "Introduction to taking GDV-images of fingertips" of your GDV instrument’s Step-by-Step Guide, unless you already done so).

• Ask your client to practice positioning their fingers on the lens so that you can correct them if necessary and they can observe what proper positioning feels like (clean the GDV lens with alcohol before the actual process).

• If the client's hands are damp or perspiring, dry each finger with a cloth or hair dryer before you take its image.

3. Check that the fingertip is placed correctly: the fingertip should be placed in the center of the GDV lens in the red “Sight” circle [image] as shown in fig. 4.8. If not, help the client to place the finger correctly.

4. Close the finger device of the GDV lens cover (fig.4.10, 4.12).

Step 4: Taking 10 GDV-images of fingertips

1. In the lower central part of the "GDV Capture" screen you will see empty boxes for GDV-images marked 1R…5R (for the right hand) and 1L…5L (for the left hand). In order to start tak-ing images, place mouse cursor on "1R" empty box. Press left button of your computer mouse if you use GDV cable or middle mouse button if you use PS/2 or USB mouse. Taken GDV-image will be shown on the screen.

2. Make sure that the fingertip is well centered, so that its image appeared right in the red sight [image] in the preview window. If not: ask you client to move the fingertip or open the finger device of the GDV lens cover and center the fingertip yourself. Record fingertip image again in the same “1R” box (you can remove the previous picture as described below).

If the image is not taken or you are not satisfied with its quality, repeat the operation until you receive good GDV-image. Study sections "When no images are taken" and "Identifying and correcting "bad" GDV-images".

3. Open the finger device of the GDV lens cover and ask your client to place the forefinger of the right hand (2R) correctly and repeat the procedure, recording the image in the corresponding “2R” box.

4. Continue taking images of other fingers in the corresponding order: 3R, 4R, 5R, 1L, 2L, 3L, 4L, and 5L. When switching the hands, put off reference electrode from the right hand and put it on the left hand.

Step 5: Saving 10 GDV-images of fingertips

1. When 10 GDV-images are taken and have satisfactory quality (see fig.4.13), save them as described in section Saving static GDV-images.

Step 6: Taking 10 GDV-images of fingertips using GDV filters

Perform steps 1-5 again to take GDV-images of fingertips with a filter. In step 1 before adjusting the GDV lens cover to the lens you will need to take 1 piece of GDV filters, carefully put it on the GDV lens and see that it is positioned flat, is not crumpled and has no little bubbles.

We recommend using 1 filter for 1 set of 10 GDV-images of fingertips.

You will need GDV-images taken with filter for processing data in the "GDV Stress" program. You might also need them for processing data in all other programs.

Scientific basis for the application of GDV filters is described in books by Dr. Korotkov and other GDV materials.

Fig. 4.13. Set of 10 GDV-images of fingertips


When no images are taken ?

1. If no signal is given by the mouse (if you do not hear GDV Camera / Compact beeps when you press the mouse) and no image appears in the box:

  • Check connection of the Com-port cable, PS/2 or USB mouse.

  • Check that the proper GDV device parameters are set according to section Setting GDV parameters.

2. If the image flashes briefly in the preview screen, then disappears without registering in the image box, it is possible that:

  • you did not have the cursor in the “R1” box. Move the cursor to the box before taking the picture; the label will light up when you do,

  • 0.5 sec. exposure of the GDV Camera Pro is too short. - try to set 1 sec. exposure pressing control buttons on your Camera and viewing the value in the indicator

3. If there is no image, just vague shadows:

  • the test person’s finger is probably not touching the GDV lens. Help your client to reposition the finger so that it is on the glass.

If you have to retake a picture, the second image will automatically replace the first. However, sometimes vestiges of an earlier image will contaminate the next, so it is wise to get in the habit of clearing the box before you retake an image.

To delete an image, place the cursor in the box you want to clear and click on the RIGHT mouse button. A menu will appear. Move the cursor to “Clear” (second item from the bottom) and click - the image will disappear.


Identifying and correcting "bad" GDV-images

Once you have completed the set of images, examine them once again for flaws or problems that might warrant retaking one or more of the images.

Below are examples of the kinds of problems you should look for:

1. If there is a dark shadow in the background of the image box, a wisp of light, or poor contrast in the image (fig.4.14):

the rim of the GDV lens cover may have been lifted off the camera box allowing light to reach the lens. Make sure the rim of the cover is resting on the plastic camera box and not on the raised plastic edge of the lens.

the finger device of the lens cover is not properly fixed and badly prevents the fingertip from light-striking. Make sure that the finger device is fixed well to the lens cover, position the finger again and close the finger device.

2. If the image looks unusually large and flat (fig.4.15):

  • the finger is too flat or pressed too hard on the glass. Have the test person raise the angle of their finger and decrease the pressure.

3. If the image is very small and scattered, or the center looks

filled in (fig.4.16):

  • the finger pressure may be too light to get a good image

or the angle is too high. Have the test person adjust their

finger position and pressure.

4. If the image is tilted:

  • the finger was not lined up properly. Reposition the finger so that it is aligned with the cross hairs extending from the lens and the tip is pointing toward the top of the camera.

You will normally not see when the image is tilted, unless a person has nails, which can be seen in the image. Anyway, always ask you client to place the finger correctly on the GDV lens.

5. Other factors that may cause abnormal images include dirt or moisture on the lens, perspi-ration on the hands, or unusually high or low body temperatures. If the person is very warm or cool (e.g., they just came in from outside or recently exercised), give their body temperature time to normalize. If moisture or dirt appears to be the problem, clean and dry both the lens and the fingers.

• If you see a little half-moon at the top of the image (4.17):

This is the fingernail. For clients with long nails you will normally have such images. You can do nothing in this case, just take into account that the fingernails were present when interpreting the data.


Taking series of GDV-images

4.2 A Taking series of GDV-images with GDV Camera Pro

In this capture type you can take up to 100 GDV-images of any biological subjects: liquids (water, blood, homeopathic solutions, alcoholic solutions, oils, urine, etc.), powders, precious and semi-precious stones, minerals, grain crops, plants, leaves, foodstuffs, and other materials.

In order to work with liquids and materials, you will need original GDV Material Testing Kit - a set of devices for testing various liquids and materials.

These steps are similar to those, which we were doing during the calibration. The difference lies in setting another capture type and positioning various biological subjects on the GDV lens in a different way using devices of the Material Testing Kit.

In this section we will not be describing each substep as in section 4.1. It is supposed that you already learned to take GDV-images of the test-subject and 10 fingertips.

Step 1: Preparing your Camera

1. Make sure that your GDV Camera Pro is set up and Philips video camera and GDV Software 2002 are installed.

2. Put your Camera on the side into the GDV camera holder and fix it.

3. Turn on the Camera.

4. Make sure that the range and exposure indicator of the Camera show necessary values.

Range and exposure values are different for different materials and liquids. First of all, you will need to study GDV Material Testing Kit's User Manual. Next, you will need some time to work with liquids and materials to understand what range and exposure should be used for each kind.

In order to change these values, press control buttons range and exposure until you see necessary numbers in the indicator screen.

5. Clean GDV lens with alcohol using soft cloth and wait until it dries up.

Step 2: Preparing "GDV Capture"

1. Launch "GDV Capture".

2. Check settings in “GDV Capture” as described in Settings in GDV Capture program.

3. Make sure that the static GDV-capture mode is active.

4. Make sure that “Series of GDV-images” capture type is selected.

5. Set GDV-image parameters: name, size, color palette, etc. as it is necessary for you (see Parameters of static GDV-capture and Naming static GDV-images).

6. Press “Sight” button [image].

7. If there are some GDV-images in the lower central window, press toolbar button to begin new record.

Step 3: Preparing a sample of liquid or material for testing

GDV Material Testing Kit has different devices for testing various kinds of materials and liquids. In order to prepare your liquid or material for testing with the GDV Camera, find the corresponding section in the User Manual for the GDV Material Testing Kit.

Step 4: Taking series of GDV-images of a sample of liquid or material

1. In the lower central part of the screen you will see an empty box marked "01". Place mouse cursor on the empty box "01". Press left button of your computer mouse if you use GDV cable or middle mouse button if you use PS/2 or USB mouse. Taken GDV-image will be shown in the screen.

Use "Sight" [image] function for centering the subject on the lens of the GDV Camera. Retake the image if it was shifted and did not appear right in the “sight” circle when taken.

If the image is not taken or you are not satisfied with its quality, repeat the operation until you receive good GDV-image.

2. Proceed taking GDV-images in this way: "02", "03" and so on. You will be able to take up to 100 GDV-images.

Step 5: Saving series of GDV-images

1. When 10 GDV-images are taken and have satisfactory quality, save them as described in section Saving static GDV-images.

4.2 B Taking series of GDV-images with GDV Compact

In this capture type is designed for taking GDV-images of any biological subjects: liquids (water, blood, homeopathic solutions, alcoholic solutions, oils, urine, etc.), powders, precious and semi-precious stones, minerals, grain crops, plants, leaves, foodstuffs, and other materials. For this purpose it can be used only with GDV Camera Pro.

With your GDV Compact you can use it for recording series of GDV-images of test-subject (for calibration of GDV software) or fingertips, as capture type “Series of fingers’ GDV-images”.


Taking series of fingers GDV-images

4.3 Taking series of fingers' GDV-images

In this capture type you can take series of GDV-images of 1 or more fingers of your client (up to 100 images). This can be applied in different experiments and research.

These steps are similar to taking 10 GDV-images of fingertips and series of GDV-images of liquids and materials. However, you will need to set another capture type and train your client to position the finger on the GDV lens correctly.

In this section we will not be describing each substep as in section 4.1. It is supposed that you already learned to take GDV-images of the test-subject, 10 fingertips and series of GDV-images.

Step 1: Prepare your Camera / Compact

See step 1, section 4.1.

Step 2: Prepare "GDV Capture"

See step 2, section 4.1

Step 3: Prepare your client

See step 3, section 4.1

Step 4: Taking series of GDV-images of a finger

1. Place mouse cursor on the empty box "01". Press left button of your computer mouse if you use GDV cable or middle mouse button if you use PS/2 or USB mouse. Taken GDV-image will be shown on the screen.

Use "Sight" [image] function for centering the fingertip on the lens of the GDV Camera / Compact. Retake the image if it was shifted and did not appear right in the “sight” circle when taken.

If the image is not taken or you are not satisfied with its quality, repeat the operation until you receive good GDV-image.

2. Continue taking GDV-images of the finger in this way: "02", "03", etc. You will be able to take up to 100 GDV-images.

Step 5: Save series of GDV-images, as described in section Saving static GDV-images.


Recording automatic series of GDV-images

4.4 Recording automatic series of GDV-images

This capture type allows you to take series of GDV-images of liquids, materials or fingers (up to 100) automatically with the given time intervals between each capture.

In this section we will not be describing each substep as in section 4.1. It is supposed that you already learned to take GDV-images of the test-subject, 10 fingertips, and series of GDV-images.

N.B.! Automatic series capture type can be used only if you work with GDV com-port cable as starting device and have corresponding settings in “GDV-device parameters” window (see Setting GDV parameters). If you work with GDV PS/2 or GDV USB mouse and have “GDV Camera without autostart equipment” set in “GDV-device parameters” window, Automatic series capture type is not displayed in the list of capture types and you can not work with it.

Step 1: Prepare your Camera / Compact

1. Make sure that your GDV Camera Pro / Compact is set up and Philips video camera and GDV Software 2002 are installed.

2. For GDV Camera Pro: If you test a finger, leave your Camera in horizontal position, so that the GDV lens stays vertical. If you test liquids or materials, put your Camera on the side into the GDV camera holder and fix it.

3. Turn on the Camera / Compact.

4. For GDV Camera Pro: Make sure that the range indicator of the Camera shows Range 1, if you are working with human fingers. If you are working with liquids or materials, set necessary range. Set Exposure as needed.

5. Clean the GDV lens.

6. Adjust GDV lens cover with finger device or GDV sleeve (for GDV Camera Pro) to the lens properly if taking images of fingertips. For GDV Camera Pro: Set necessary device of the Material Testing Kit if taking images of a liquid or material.

Step 2: Prepare "GDV Capture"

1. Launch "GDV Capture".

2. Check settings in “GDV Capture” as described in Settings in GDV Capture program.

3. Make sure that the static GDV-capture mode is active.

4. Make sure that the “Automatic series” capture type is selected.

5. Set GDV-image parameters: name, size, color palette, etc. as it is necessary for you (see Parameters of static GDV-capture and Naming static GDV-images).

6. Select the number of GDV-images to be captured in "Control" window (see Parameters of static GDV-capture).

7. Mark field "Capture with given time intervals" in "Control window" and set necessary interval between single captures in milliseconds (1000 ms / 1 s is set by default) (see Parameters of static GDV-capture).

8. If there are some GDV-images in the lower central window, press [image] toolbar button to begin new record.

Step 3: Prepare tested subject

If you do not remember the procedure, see step 3, section 4.1, if you test fingertips, and step 3, section 4.2, if you test a sample of liquid or material (for GDV Camera Pro).

Step 4: Capture automatic series of GDV-images

Use "Sight" [image] function in order to center the subject on the lens of the GDV Camera / Compact. Take an image in any other capture type to make sure that the subject is centered well.

1. In order to start automatic recording of images, press "Start" button in the upper right part of the screen (or select "Start automatic capture" from "Static GDV-capture" menu). First GDV-image will be taken in box "01".

2. Recording of images will proceed with the given time intervals. You will be able to record up to 100 GDV-images. After the given number of GDV-images is taken, the process will be stopped automatically.

3. If you wish to stop the process before it stops automatically, press "Stop" button in the up-per right part of the screen (or select "Stop automatic capture" from the menu "Static GDV-capture").

If the image is not taken or you are not satisfied with its quality, repeat the operation until you receive good GDV-image:

Manually retake these images by clicking left mouse button in the box corresponding to each particular non-captured or bad quality image. However, sometimes vestiges of an earlier image will contaminate the next, so it is wise to get in the habit of clearing the box before you retake an image.

Step 5: Save automatic series of GDV-images

When the necessary amount of images is recorded, save them as described in section Saving static GDV-images.


Loading static GDV-images

4.5 Loading static GDV-images

Step 1. Press button or select "Load" from "Static GDV-capture" menu. You will see "Load capture" window (fig.4.18).

Step 2. Find necessary folder and open it, so that you could see the files, which you need to load.

You can view each file in the lower right part of the window and see its pa-rameters: file name, size, type, image width, and image height. In order to do this:

1) Activate "Preview" in the right part of the window.

2) Mark the necessary file with the mouse.

Step 3. Select all files pressing button "Select all" or choose necessary files by marking the first one with the mouse, pressing "Shift" on the keyboard and marking the last one.

Step 4. Press "Open".

Fig. 4.18. "Load capture" window


Saving static GDV-images

4.6 Saving static GDV-images

Step 1: Press toolbar button or select "Save..." from menu "Static GDV Capture" to save recorded GDV-images.

Step 2: You will see "Save capture" window (fig.4.19). Choose the necessary folder in the folders' tree or create a new folder (recommended, see instructions below) and press “Save” button.

It is advisable to keep structured archive of GDV-images. In order to create it, follow the next simple rules:

1) Before pressing "Save" button in the window (paragraph 2) open the folder where you are going to save all GDV-images (or create it). Assume the name of this folder is "GDV-images".

2) Create new folder called, for example, "USA_02.02.02" (name of place and date) in the folder "GDV-images".

3) Create new folder called, for example, "John Gray" (name of person) (or "Liquid 1" for a liquid tested), in the folder "USA_02.02.02".

4) Create new folder called, for example, "John Gray_with/without filter" (GDV-images taken with filter) (or any other name for the way you took GDV-images of liquids) in the folder "John Gray".

5) Finally, press "Save" to save the recorded images in the folder "John Gray_with/without filter".

Fig. 4.19: "Save capture" window


Naming static GDV-images

4.7 Naming static GDV-images

Step 1. Press "Naming" button in the upper right part of the screen (or select "Naming" from "Static GDV-capture" menu). You will see window "Naming GDV-images" window (fig.4.20).

Step 2. Activate suffix field and put suffix, if necessary. Suffix can contain up to 50 symbols.

Step 3. If you work in "Series of fingers' GDV-images" capture type, activate prefix field and select a prefix, if necessary.

Step 4. Activate date field, if necessary. GDV-image files will have the date, which is currently set in your computer.

Step 5. Activate time field, if necessary. GDV-image files will have the time, which is currently set in your computer.

For «GDV-images of 10 fingers» capture type the name of GDV-image file may have the following structure: [finger's number]_[suffix]_[current date]_[current time].bmp

For example: 1R_John Gray_02Feb2002_140616.bmp

For «Series of GDV» capture type the name of GDV-image file may have the following structure: [GDV-image's number]_[suffix]_[current date]_[current time].bmp

For example: 01_liquid1_02Feb2002_140616.bmp

For «Series of fingers' GDV-images» capture type the name of GDV-image file may have the following structure: [prefix]_[GDV-image's number]_[suffix]_[current date]_[current time].bmp

For example: 1R_01_John Gray_02Feb2002_140616.bmp

For "Automatic series" capture type the name of GDV-image file may have the following structure: [GDV-image's number]_[suffix]_[current date]_[current time].bmp

For example: 01_liquid1/1R John Gray_02Feb2002_140616.bmp

• Option for adding suffix, prefix ("Series of fingers' GDV-images"), date and time is off by default. In this case names of GDV-image files will be - 1R.bmp, 2R.bmp etc. for "GDV-images of 10 fingers" capture type, and 01.bmp, 02.bmp etc. for the “Series of GDV-images”, “Series of fingers' GDV-images” and "Automatic series" capture types.

• If, for example, we activate suffix field and enter «test» there, and also activate the date field, as well, (see fig.3.22) in the “GDV-images of 10 fingers” capture type, the files will have names: 1R_test_12Mar2001.bmp, 2R_test_12Mar2001.bmp, etc.

• For "Series of fingers' GDV-images" capture type you can add prefix to the file name, de-pending on the taken finger: 1R...5R, 1L...5L. See example above.

Numbers of fingers and GDV-images (except for prefix) are given automatically during recording.


Parameters of static GDV capture

4.8 Parameters of static GDV capture

Parameters of static GDV capture include:

1) Video driver

2) Type of GDV device

3) Port

4) Name pattern

5) Color palette

6) GDV-image size

7) Capture delay

8) Preview frame rate

9) Parameters for "Automatic series" capture type

Parameters: video driver, type of GDV device and port are set through menu “Settings” before the beginning of work. See Settings in GDV Capture program.

Name pattern

Parameter "Name pattern" is set in window "Naming GDV-images" (fig.4.20, Naming static GDV-images).

Color palette

Color palette is selected in the toolbar upper central part or in the menu "View". There are four types of color palette in GDV Capture, which give an opportunity to view noise in the recorded GDV-images in different ways:

1) Original image

2) Inverted image

3) Intensive palette

4) Equal palette

Parameters: GDV-image size, capture delay, preview frame rate, and parameters for "Automatic series" capture type are set in window "Control of static GDV-capture". Press button "Control" in the upper right part of the screen and you will see window "Control of static GDV-capture" (fig.4.21).

Fig. 4.21. Window "Control of static GDV-capture"

GDV-image size

GDV image size is represented by the resolution in pixels.

There are three main GDV-image sizes:

Standard size – 320х240 pixels;

Small size – 160х120 pixels;

Large size – 640х480 pixels.

It is recommended to use Standard size of images, since it gives quite complete information and does not require too much free computer memory.

Capture delay

Capture delay function is designed to set the program for your computer and your GDV Cam-era Pro / Compact. Capture delay is a time interval between the moment of sending start signal (mouse click) and the moment of taking a GDV-image. Capture delay enables postponing the start of GDV-image recording for a short period of time, so that the computer could receive instrument’s signal and the instrument could start the discharge. If you increase exposure on the GDV Camera Pro to 1 or 2 sec, it is advised to increase capture delay, otherwise you will get GDV-images similar to those taken with 0,5 sec exposure.

Capture delay is 2 by default (optimal for 0,5 sec exposure). In order to change this value, move “Capture delay” cursor to the necessary position (see fig.4.21).

If your computer is not powerful enough and the images are badly recorded, try to regulate capture delay and instrument's exposure.

Preview frame rate

Preview frame rate is the number of shots (frames) shown in 1 sec. in the "Live video" (preview) window. Default value: 10 frames/sec.

If your computer and GDV Capture program work too slow, try to decrease preview frame rate.

Parameters for "Automatic series" capture type allow:

1) Setting the number of GDV-images to be recorded.

2) Choosing between "Capture with given time intervals" (setting certain time intervals be-tween the moments of giving start signal) or "Capture synchronized with external device" (giving start signal using external GDV Starting device).

3) Setting the interval between single shots (ms), if "Capture with given time intervals" mode is chosen.

* “Automatic series” fields are not shown in window “Control of static GDV-capture” in case “GDV Camera without autostart equipment” is chosen in window “GDV-device parameters”, menu “Settings”.


Recording dynamic GDV files

5.1 Procedure of recording dynamic GDV files

In the mode “Dynamic GDV-capture” you can record GDV dynamic files of any biological subjects: liquids (water, blood, homeopathic solutions, alcoholic solutions, oils, urine, etc.), powders, precious and semi-precious stones, minerals, grain crops, plants, leaves, foodstuffs, and other materials. These files are called AVI/video files and can be up to 32 seconds long.

In order to work with liquids and materials, you will need original GDV Material Testing Kit - a set of devices for testing various liquids and materials.

In this section we will not be describing each substep. It is supposed that you already studied how to record static GDV-images.

Step 1: Preparing your Camera

1. Make sure that your GDV Camera Pro is set up and Philips video camera and GDV Software 2002 are installed.

2. If you test a finger, leave your Camera in the horizontal position, so that the GDV lens stays vertical. If you test liquids or materials, put your Camera on the side into the GDV camera holder and fix it.

3. Turn on the Camera.

4. Make sure that the range indicator of the Camera shows Range 1, if you are working with human fingers. If you are working with liquids or materials, set necessary values. Set Exposure, as needed.

5. Clean the GDV lens.

6. Adjust GDV lens cover with finger device or GDV sleeve to the lens properly if recording images of fingertips. Set necessary device of the Material Testing Kit if recording images of a liquid or material.

Step 2: Preparing "GDV Capture"

1. Launch "GDV Capture".

2. Make sure that the Philips video camera is set and check its operation. Check settings in the “GDV Capture” as described in Settings in GDV Capture program.

3. Make sure that dynamic GDV-capture mode is active. toolbar button shall be pressed

( [image] button shall be off) (fig.3.2).

4. Set parameters of dynamic GDV: video sequence length, frame size, etc., as necessary for you (see Parameters of dynamic GDV-capture).

5. Key in the name of dynamic GDV file in the "Capture file name" field: “test.avi”. You don’t need to save the file after the name is given and the file is recorded.

Step 3: Preparing tested subject

If you do not remember the procedure, see step 3, section 4.1, if you test fingertips, and step 3, section 4.2, if you test a sample of liquid or material.

Step 4: Recording dynamic GDV files

1. Press “Start video record” button. You will see dynamic GDV-image in the video window.

2. After the given video sequence length ends, the recording will be stopped automatically.

3. You can stop the recording any time pressing “Stop video record” button. In this case all the information recorded from the beginning up to the manual stop of the record will be saved in this file.

If your computer is not powerful enough for recording dynamic files with the given frame size and rate, some shots will be lost and some duplicated. This information is given in the field “Video capture status” (see fig.3.2) under the preview window. This field has several color modes:

• Grey color and inscription “Waiting…” – before the start of video record

• Red color – after the stoppage of recording – meaning that more than 5% of frames were lost (left out or duplicated) in the process of video recording. This is an indication of the fact that you incorrectly set parameter “Frame rate” in the “Image controls” window of video driver settings or the chosen frame rate is too high for your computer. It is advised to check video driver settings as described in section 4.1 or decrease the frame rate and/or frame size (see “Parameters of dynamic GDV-capture) and record the video file again.

• Yellow color – less than 5% of frames were lost – an acceptable level of loss.

If field “Video Capture status” did not change its color – no shots were lost.

After the end of video file recording you will see an inscription “… frames lost (of…), … frames duplicated”.

4. You can record another video file in place of the previous one. In this case the previous file will be replaced by the new record:

Leave the name of the file to be replaced in the field “Capture file name” or select it using "Select video file" option from the menu "Dynamic GDV-capture" or pressing button [image] to the right of the "Capture file name" field. Repeat substeps 1-3.

Step 5: Viewing dynamic GDV files

1. You can view the recorded dynamic GDV file “test.avi” by pressing "Show video file" button (or selecting option "Show video file" from menu "Dynamic GDV-capture").

2. You will see window “View dynamic GDV file” (fig.5.1). Viewing is launched automatically, you can press button “Stop” [image] to stop it or “Play” [image] to continue. You can view particular frames of the file using arrow buttons [image] and [image]. Line “Current frame” shows the viewed frame and total amount of frames.

3. Button “Extract frames to disk” launches the dialog enabling to unpack AVI files into BMP files (fig.5.2). If you wish to try to do that, pass to step 6.

4. Press “OK” to exit from window “View dynamic GDV file”.

Step 6: Unpacking GDV dynamic files – for professional users

GDV dynamic files which you recorded are stored on the disk as AVI files. If you wish to calculate parameters of particular frames of these files in “GDV Processor” program, you will need to unpack certain frames to the disk in the form of separate BMP files. You can do that in two ways: unpack frames from 1) one dynamic file or 2) several files (if you already recorded a series of dynamic GDV files).

Option 1: Unpacking frames from 1 dynamic file.

1. Follow substep 3 of the previous section and press button “Extract frames to disk” in window “View dynamic GDV file”. You will see window “Extract frames to disk” (fig.5.2).

2. Check that “Convert to grey scale” box is ticked (by default). If you initially recorded the dynamic file in color (only for professional users), you will need to convert BMP files into grey scale for further work.

3. You can choose between :

• “Extract all frames” and

• “Extract selectively”. If you wish to extract selectively (for example when first or last frames appeared to be empty), set the first and the last frame to be unpacked using arrow buttons to the right of fields “First frame” and “Last frame”.

4. Choose the folder where you would like to place the unpacked files ticking the corresponding box:

• You can “Extract BMP files to default folder” – folder called “test (frames)” is offered in the same folder “Test1“, where the AVI file was saved.

• Or you can “Extract BMP files to specific folder”. Press button “Open” to the right of field “Extract to specific folder”. Choose path to necessary folder or create a folder.

5. Finally , in the upper part of the window you can see the following information:

- Path to the open AVI file

- Path to the folder where frames - BMP files will be recorded

- Number of frames to extract

- Required disk space (depends on the number of BMP files – 1 BMP file occupies 77 878 kb).

- Available disk space (shows available space on the chosen disk).

6. Press button ”Extract frames” to unpack the frames or “Cancel” to cancel the operation.

Option 2: Unpacking frames from package of dynamic files.

1. Select “Batch extraction of AVI files” from menu “Dynamic GDV-capture”. You will see window “Batch extraction of AVI files” (fig.5.3).

2. Select a list of files for extraction:

You can either “Add certain files” – pass to window “Select one or more video files” (see section 5.2 Opening dynamic GDV files). You can choose several dynamic files from one folder or several files from different folders one after another.

Or “Add all files from selected folder” – you are offered to find a folder with dynamic files. All files from this folder will be open.

3. You will see all selected files in the upper subwindow.

N.B.! The frames of a particular dynamic file will be unpacked to the same folder where this file was saved.

Lower small subwindow shows number of AVI files to extract and required disk space for that.

4. You can view any file selecting it from the list and pressing button “Show file”.

5. You can remove certain file from the list using button “Remove from list selected files” or all files – “Remove from list all files”.

6. Press button “Extract frames” or “Cancel” to cancel the operation. If you press “Extract frames”, you will see window “AVI files extraction in progress…” (fig.5.4). Wait until the end of the process and continue work with “GDV Capture”.


Loading dynamic GDV files

5.2 Opening dynamic GDV files

Step 1. Press button [image] to the right of the "Capture file name" field or choose "Select video file" from "Dynamic GDV-capture" menu. You will see window "Select video file" (fig.5.5).

Step 2. Find necessary folder and open it, so that you could see the avi-files, which you need to select/load.

You can view each avi-file in the preview in the lower right part of the window and see its parameters: file name, size, type, frame width, frame height, frames number, video time length, frame rate, and interval between frames. In order to do this:

1) Activate "Preview" in the right part of the window.

2) Mark the necessary file with the mouse.

Step 3. Select the necessary avi-file by the mouse.

Step 4. Press "Open".

You can view each captured frame of the avi-file in the preview subwindow, using buttons:

and [image] - moving back and forth per 1 frame

- "play" frames function (fig.5.5)

The number of frame is shown below the preview image.

You can also move the scroll box to see each separate frame or play the file from certain frame.


Parameters of dynamic GDV capture

5.3 Parameters of dynamic GDV capture

Parameters of dynamic GDV capture include:

1) Name of dynamic GDV file

2) Videodriver

3) Type of GDV device

4) Port

5) Video sequence length

6) Frame size

7) Frame rate

8) Preview frame rate

9) Autostart delay

Parameters: video driver, type of GDV device and port are sent through menu “Settings” before the beginning of work. See chapter 1.

Name of dynamic GDV file

The name of dynamic GDV file is put in the field "Capture file name". For example:

"Liquid1.avi"

Parameters: video sequence length, frame size, frame rate, preview frame rate, and autostart delay are set in "Control of dynamic GDV-capture" window. Press button "Control" in the lower right part of the screen (or select "Control" in the menu "Dynamic GDV-capture") and you will see "Control of dynamic GDV-capture" window (fig.5.6).

Video sequence length is the period of dynamic GDV-capture in seconds, which you can set manually. It should not exceed 32 sec - maximum time of GDV Camera Pro exposure.

Frame size

Frame size is represented by the resolution in pixels.

There are three main frame sizes:

Standard size – 320х240 pixels;

Small size – 160х120 pixels;

Large size – 640х480 pixels.

Frame rate

Frame rate is the number of shots (frames) shown in 1 sec in dynamic record. It can be regulated within 1 - 30 frames/sec. However, it greatly depends on your computer productivity and frame size. Default value: 10 frames/sec.

It is recommended to use frame rate 2-5 frames/sec for GDV Cameras Pro with ZipShot devices and 10-30 frames/sec for GDV Cameras Pro with USB digital video cameras. If it is necessary to increase the frame rate, select maximum possible rate for your computer experimentally.

GDV Cameras Pro with digital USB video cameras or special video capture cards allow increasing the maximum frame rate. According to the type of the computer it may run up to 30 frames/sec.

Preview frame rate

Preview frame rate is the number of shots (frames) shown in 1 sec. in the "Live video" (preview) window. Default value: 10 frames/sec.

If your computer is not powerful enough and you can not record dynamic GDV with the desired frame rate, try to decrease preview frame rate.

You can also switch off the preview and untick "Show preview during capture" in "Control of dynamic GDV-capture" window.

Autostart delay

Autostart delay function is designed for adjusting the GDV Capture to your computer and your GDV Camera Pro. Autostart delay is a time interval in msec between the moment of sending start signal (pressing "Start video record") and the real moment of start of video recording. Autostart delay enables postponing the start of video record for a short period of time, so that the computer could receive instrument’s signal and the instrument could start the discharge.

Autostart delay is 0 by default. To change this value, click arrow-buttons to the right of the autostart delay field (see fig.5.6).

* “Automatic delay” field is not shown in window “Control of dynamic GDV-capture” in case “GDV Camera without autostart equipment” is chosen in window “GDV-device parameters”, menu “Settings”.


Troubleshooting

6. TROUBLESHOOTING

If GDV Capture does not work properly,

try the following solutions:

1. Make sure that GDV Camera Pro is connected to power and is switched on.

2. Make sure that GDV Compact is well charged and switched on.

3. Make sure that the USB cable of GDV Camera Pro / Compact is connected to the USB port of your computer.

4. Make sure that the GDV Starting device (Com-port cable, PS/2 or USB mouse) is connected to the corresponding port of your computer.

5. Repeat settings in GDV Capture.

6. Restart GDV Capture and/or the computer

7. Select "Video driver settings" in menu "Settings". Make sure that all parameters correspond to those mentioned in section 2.3, Settings in GDV capture program.

If the GDV Capture works too slow:

1. Try to decrease the preview frame rate (see Parameters of static/dynamic GDV-capture) or switch the preview off (see GDV Capture overview).

2. Try to work with GDV-images of small size (see Parameters of static/dynamic GDV- capture)

If GDV-images' recording is too often unsuccessful (empty boxes, partial or distorted images), correct capture delay and/or exposure of GDV camera (see section Parameters of static GDV-capture)

If GDV Capture works slowly, menu and buttons work with a delay, try to switch off the preview (see GDV Capture overview) and restart the program.

If no images are taken or if the images have bad quality, read section 4.1.